%define	name	pwlib
%define	version	1.6.6.3
%define	release	5mdk
#%{expand:%%define o_ver %(echo v%{version}| sed "s#\.#_#g")}
%define o_ver Janus_patch4
%define lib_major 1
%define lib_name %mklibname %{name} %{lib_major}

Summary:	Portable Windows Libary
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Libraries

Source0:	http://www.openh323.org/bin/%{name}-%{o_ver}-src.tar.bz2
Patch1:		pwlib-1.5.2-libname.patch.bz2
Patch18:	pwlib-1.6.5-fix-libpt.so-symlink.patch.bz2
# (fc) 1.6.6-2mdk fix compilation with libdc1394 0.9.5 (Debian)
Patch19:	pwlib-1.6.6-dc095.patch.bz2
# (fc) 1.6.6.3-4mdk fix detection of Quickcam Web
Patch20:	pwlib-1.6.6-qcusb.patch.bz2
# (gb) 1.6.6.3-5mdk
Patch21:	pwlib-1.6.6.3-lib64.patch.bz2
URL:		http://www.openh323.org/
BuildRequires:	bison flex gcc-c++ sed openldap-devel SDL-devel
BuildRequires:  expat-devel openssl-devel autoconf2.5 
BuildRequires:  libdc1394-devel >= 0.9.5
BuildRequires:	libavc1394-devel libraw1394-devel alsa-lib-devel libdv-devel

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
PWLib is a moderately large class library that has its genesis many
years ago asa method to product applications to run on both Microsoft
Windows and Unix X-Window systems. It also was to have a Macintosh
port as well but this never eventeated. Unfortunately this package
contains no GUI code.

%package -n	%{lib_name}
Summary:	Portable Windows Libary
Group:		System/Libraries
Provides:	%{name}%{lib_major} = %{version}-%{release}
Obsoletes:	%{name}%{lib_major}
Obsoletes:	%{name}
Provides:	%{name} = %{version}-%{release}

%description -n	%{lib_name}
PWLib is a moderately large class library that has its genesis many
years ago asa method to product applications to run on both Microsoft
Windows and Unix X-Window systems. It also was to have a Macintosh
port as well but this never eventuated.  Unfortunately this package
contains no GUI code.

%package -n	%{lib_name}-devel
Summary:	Portable Windows Libary development files
Group:		Development/C
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{name}%{lib_major}-devel = %{version}-%{release}
Obsoletes:	%{name}%{lib_major}-devel
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{lib_name}-devel
Header files and libraries for developing applications that use pwlib.

%package -n	%{lib_name}-plugins-dc
Summary:	Dc plugin for pwlib
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}
Provides:	lib%{name}-plugins-dc = %{version}-%{release}
Provides:	%{name}-plugins-dc = %{version}-%{release}

%description -n	%{lib_name}-plugins-dc
This package contains the dc plugin for pwlib

%package -n	%{lib_name}-plugins-alsa
Summary:	Alsa plugin for pwlib
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}
Requires:	libalsa
Provides:	lib%{name}-plugins-alsa = %{version}-%{release}
Provides:	%{name}-plugins-alsa = %{version}-%{release}

%description -n	%{lib_name}-plugins-alsa
This package contains the Alsa plugin for pwlib

%package -n	%{lib_name}-plugins-oss
Summary:	Oss plugin for pwlib
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}
Provides:	lib%{name}-plugins-oss = %{version}-%{release}
Provides:	%{name}-plugins-oss = %{version}-%{release}

%description -n	%{lib_name}-plugins-oss
This package contains the OSS plugin for pwlib

%package -n	%{lib_name}-plugins-avc
Summary:	AVC plugin for pwlib
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{name}%{lib_major}-plugins-avc = %{version}-%{release}
Obsoletes:	%{name}%{lib_major}-plugins-avc
Provides:	lib%{name}-plugins-avc = %{version}-%{release}
Provides:	%{name}-plugins-avc = %{version}-%{release}

%description -n	%{lib_name}-plugins-avc
This package contains the AVC plugin for pwlib

%package -n	%{lib_name}-plugins-v4l
Summary:	V4L plugin for pwlib
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}
Provides:	lib%{name}-plugins-v4l = %{version}-%{release}
Provides:	%{name}-plugins-v4l = %{version}-%{release}

%description -n	%{lib_name}-plugins-v4l
This package contains the V4L plugin for pwlib

%prep
%setup -q -n %{name}
%patch1 -p1 -b .libname
%patch18 -p1 -b .libptsymlink
%patch19 -p1 -b .dc095
%patch20 -p1 -b .qcusb
%patch21 -p1 -b .lib64
autoconf

%build
#don't set this otherwise it will be automatically used by pwlib/openh323 build
#system
export RPM_OPT_FLAGS="" 
export OPT_FLAGS="%{optflags}"
%define optflags ""

%configure2_5x	--enable-plugins
%make OPTCCFLAGS="$OPT_FLAGS" optshared 

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

#fix PWLIBDIR
perl -pi -e 's|(PWLIBDIR.*)=.*|\1= %{_datadir}/pwlib|' $RPM_BUILD_ROOT%{_datadir}/pwlib/make/ptbuildopts.mak

#fix doc perms
chmod a+r *.txt

#remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_datadir}/pwlib/make/*.{pat,in,lib64,libname,pwlibdir,includesdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig -n %{lib_name}
%postun -p /sbin/ldconfig -n %{lib_name}

%files -n %{lib_name}
%defattr(-,root,root)
%doc *.txt
%{_libdir}/lib*.so.*
%dir %{_libdir}/pwlib
%dir %{_libdir}/pwlib/device
%dir %{_libdir}/pwlib/device/videoinput
%dir %{_libdir}/pwlib/device/sound

%files -n %{lib_name}-devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_bindir}/*
%{_datadir}/pwlib

%files -n %{lib_name}-plugins-dc
%defattr(-,root,root)
%{_libdir}/pwlib/device/videoinput/dc.so

%files -n %{lib_name}-plugins-alsa
%defattr(-,root,root)
%{_libdir}/pwlib/device/sound/alsa.so

%files -n %{lib_name}-plugins-oss
%defattr(-,root,root)
%{_libdir}/pwlib/device/sound/oss.so

%files -n %{lib_name}-plugins-avc
%defattr(-,root,root)
%{_libdir}/pwlib/device/videoinput/avc.so

%files -n %{lib_name}-plugins-v4l
%defattr(-,root,root)
%{_libdir}/pwlib/device/videoinput/v4l.so

%changelog
* Thu Sep 30 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.6.6.3-5mdk
- Merge from old 10.0-branch:
  * Patch21: extra lib64 fixes, aka define LIB

* Thu Sep 23 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.6.6.3-4mdk
- Patch20 (CVS): fix detection of Quickam Web

* Wed Sep 22 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.6.6.3-3mdk
- Fix use of optimisations

* Wed Sep 22 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.6.6.3-2mdk 
- Fix location of plugins for x86-64
- Fix permissions of plugins (should fix Mdk bug #11576)

* Tue Sep 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.6.6.3-1mdk
- Release 1.6.6.3 = Janus patch4

* Wed Aug 18 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.6.6-3mdk
- Patch19 (Debian) : fix build with libdc1394 0.9.5 (Mdk bug #10321)

* Fri Jun  4 2004 Laurent Montel <lmontel@mandrakesoft.com> 1.6.6-2mdk
- Rebuild

* Thu May 20 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.6.6-1mdk
- 1.6.6 (Janus patch 2)

* Mon Apr 19 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.6.5-5mdk
- fix problem with broken symlink for libpt.so (P18, should fix problem with devel provides for real)
- enable plugins and split them out into their own packages (from Robert Vojta <robert.vojta@mandrake.cz>)

* Mon Apr 19 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.6.5-4mdk
- do autoconf in %%prep, fcrozat says so

* Mon Apr 19 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.6.5-3mdk
- ARG! messed up the devel provides, fixed

* Mon Apr 19 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.6.5-2mdk
- hrmpf, fix devel provides
- drop P17, it's fixed upstream with a symlink now

* Mon Apr 19 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.6.5-1mdk
- 1.6.5
- drop P12, P14, P15 & P16 (fixed upstream)
- regenerated P17

* Mon Apr 19 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.5.2-4mdk
- fix path to ptlib-config (P17)
- run autoconf in %%build, not %%prep

* Mon Apr 19 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.5.2-3mdk
- fix buildrequires
- use %%make and %%makeinstall macro
- spec cosmetics

* Thu Feb 26 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.2-2mdk
- Patch16 (Debian) : security fix

* Thu Feb 12 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.2-1mdk
- Release 1.5.2
- Remove patch 6 & 7, 10, 11, 13, 15 (merged upstream)
- Regenerate patches 1, 12
- Patch15 : fix crash with Quickcam (force double buffering) (Mdk bug #6932)

* Thu Oct 09 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.0-16mdk
- Disable parallel compilation

* Fri Sep 19 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.5.0-15mdk
- fix lib64 & includesdir patches

* Fri Sep 12 2003 Florin <florin@mandrakesoft.com> 1.5.0-14mdk
- patch 14

* Wed Jul 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.5.0-13mdk
- Add missing build requires

* Thu Jul 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.5.0-12mdk
- Recompiled for latest deps

* Mon Jul  7 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.5.0-11mdk
- Update patch12: Fix lib install 

* Thu Jul  3 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.5.0-10mdk
- Fix bootstrapping (Oden)

* Thu Jul  3 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.5.0-9mdk
- Update patch 13, still some other pwlibdir fixes

* Wed Jul  2 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.5.0-8mdk
- Patch13: fix pwlib prefix in ptlib-config

* Thu Jun 26 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.5.0-7mdk
- Fix devel provides again...

* Tue Jun 24 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.5.0-6mdk
- Fix devel provides
- various cleaning in specfile
- Enable old patches (fix libname)
- Patch12: fix make install

* Fri Jun 20 2003 Florin <florin@mandrakesoft.com> 1.5.0-5mdk
- do not define PWLIBDIR and OPENH323_DIR anymore

* Thu Jun 19 2003 Florin <florin@mandrakesoft.com> 1.5.0-4mdk
- use the %makeinstall macro

* Wed Jun 18 2003 Florin <florin@mandrakesoft.com> 1.5.0-3mdk
- use mklibname (O.Thauvin's idea)

* Tue Jun 17 2003 Florin <florin@mandrakesoft.com> 1.5.0-2mdk
- forgot the pat patch

* Tue Jun 17 2003 Florin <florin@mandrakesoft.com> 1.5.0-1mdk
- 1.5.0
- D.Sandras patches

* Wed Mar 05 2003 Florin <florin@mandrakesoft.com> 1.4.7-3mdk
- rebuild

* Fri Jan 17 2003 Florin <florin@mandrakesoft.com> 1.4.7-2mdk
- bring back the includes patch for 9.0
- recompile for 9.0

* Fri Jan 17 2003 Florin <florin@mandrakesoft.com> 1.4.7-1mdk
- 1.4.7

* Mon Dec  2 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.3.11-4mdk
- Remove Patch7 (includes) for obsolete <sys/vfs.h> hackage
- Patch6: Use system regex() and thus getting rid of non PIC code (RH)
- Patch7: Make it lib64 aware

* Tue Oct 29 2002 Florin <florin@mandrakesoft.com> 1.3.11-3mdk
- use another path for the mak files

* Tue Oct 29 2002 Florin <florin@mandrakesoft.com> 1.3.11-2mdk
- fix the devel PWLIBDIR variable in the mak files

* Wed Oct 23 2002 Florin <florin@mandrakesoft.com> 1.3.11-1mdk
- 1.3.11

* Tue Oct 08 2002 Laurent Grawet <laurent.grawet@ibelgique.com> 1.3.9-1mdk
- 1.3.9
- updated patch0, removed patch9

* Tue Aug 13 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.3.3-2mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Thu Aug 01 2002 Florin <florin@mandrakesoft.com> 1.3.3-1mdk
- 1.3.3
- patch8 is useless now

* Thu Jul 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.19-3mdk
- Automated rebuild with gcc3.2

* Wed May 29 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.19-2mdk
- Fix Provides: pwlib1-devel. You need %version-%release.

* Mon May 27 2002 Florin <florin@mandrakesoft.com> 1.2.19-1mdk
- 1.2.19

* Mon May 27 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.17-2mdk
- Patch7: Hack around <sys/vfs.h>
- Patch8: Misc C++ fixes and workarounds
- Patch9: Fix link with gcc3.1

* Fri May 03 2002 Florin <florin@mandrakesoft.com> 1.2.17-1mdk
- 1.2.17
- comment out the timout and the video patches

* Mon Mar 11 2002 Florin <florin@mandrakesoft.com> 1.2.12-2mdk
- add the video patch (patch 6)

* Mon Feb 25 2002 Florin <florin@mandrakesoft.com> 1.2.12-1mdk
- 1.2.12
- update the patches

* Thu Nov 29 2001 Florin <florin@mandrakesoft.com> 1.2.5-1mdk
- 1.2.5
- add the frame-rate patch to fix a disconnection timeout

* Mon Nov 19 2001 Florin <florin@mandrakesoft.com> 1.2.4-1mdk
- 1.2.4

* Fri Oct 19 2001 Florin <florin@mandrakesoft.com> 1.2.1-1mdk
- 1.2.1

* Wed Sep 19 2001 Florin <florin@mandrakesoft.com> 1.1.36-6mdk
- update the fix patch

* Mon Sep 10 2001 Florin <florin@mandrakesoft.com> 1.1.36-5mdk
- add the fix patch

* Thu Sep 06 2001 Stefan van der Eijk <stefan@eijk.nu> 1.1.36-4mdk
- BuildRequires:	flex
- remove BuildRequires:	libstdc++-devel

* Wed Aug 29 2001 Florin Grad <florin@mandrakesoft.com> 1.1.36-3mdk
- link with libstdc++ (modify the fix patch)

* Mon Aug 20 2001 Florin Grad <florin@mandrakesoft.com> 1.1.36-2mdk
- the make patch fix the compilation with -lpt
- correction on the Group entry

* Tue Aug 14 2001 Florin Grad <florin@mandrakesoft.com> 1.1.36-1mdk
- 1.1.36
- update the make patch

* Sun Jul 22 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.1.34-1mdk
- 1.1.34 (regenerated patch 0 and 1, removed patch 3 integrated upstream)

* Sat Jun 23 2001 Stefan van der Eijk <stefan@eijk.nu> 1.1.33-1mdk
- 1.1.33

*  Sun Jun  3 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 1.1.19-5mdk
- Add patch to fix build on newer gccs.

* Fri Mar 23 2001 David BAUDENS <baudens@mandrakesoft.com> 1.1.19-4mdk
- PPC: build with gcc
- Requires: %%version-%%release and not only %%version

* Mon Jan 22 2001 David BAUDENS <baudens@mandrakesoft.com> 1.1.19-3mdk
- Fix build on PPC
- Bzip2 sources

* Sun Jan 21 2001 David BAUDENS <baudens@mandrakesoft.com> 1.1.19-2mdk
- Fix %%changelog to allow automatic rebuild
- Add description for SRPM package

* Mon Jan 15 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.1.19-1mdk
- first Linux-Mandrake version
